##
# Build Package Variables
##
%define name 		autopackage-devel
%define version 	0.7
%define release 	1


##
# Build Environment Variables
##
# use autoconf macros as defined: _prefix _exec_prefix _bindir _datadir
# reference: /usr/lib/rpm/macros
# %_prefix                /usr
# %_exec_prefix           %{_prefix}
# %_bindir                %{_exec_prefix}/bin
# %_datadir               %{_prefix}/share

%define _apkgprefix 	/usr
%define _prefix 	/usr/local
%define _sysconfdir 	/etc
%define _tmppath 	/source/autopackage/main/release/rpm/tmp
%define _topdir 	/source/autopackage/main/release/rpm


##
# Package Data
##
Name: 			%{name}
Summary: 		Development tools for autopackage distribution neutral packaging framework.
Version: 		%{version}
Release: 		%{release}
Source: 		http://ftp.sunsite.dk/projects/autopackage/%{version}/%{name}-%{version}.tar.bz2
URL: 			http://autopackage.org/
Group: 			System/Configuration/Packaging
Prefix: 		%{_prefix}
BuildRoot: 		%{_tmppath}/%{name}-buildroot/
BuildArch: 		i386
License: 		LGPL
Conflicts: 		autopackage
AutoReqProv: 		no

Vendor: 		autopackage.org
Packager: 		Curtis L. Knight <knighcl@fastmail.fm>


%description
Autopackage enables developers to build packages that
will install on many different Linux distributions.

Autopackage enables users to install packages on many different Linux
distributions.

Autopackage supports multiple languages (build and installation) and
automatically verifies/resolves dependencies independent of their
installation method.


%prep


%setup -q -n autopackage
%{__rm} -fr apbuild/CVS
%{__rm} -fr apbuild/test-app/CVS
%{__rm} -fr binreloc/CVS


%build
%{__mkdir_p} %{buildroot}/%{_datadir}/apbuild
%{__mkdir_p} %{buildroot}/%{_datadir}/apbuild/test-app
%{__mkdir_p} %{buildroot}/%{_datadir}/binreloc
%{__mkdir_p} %{buildroot}/%{_datadir}/main
%{__mkdir_p} %{buildroot}/%{_datadir}/manager
%{__mkdir_p} %{buildroot}/%{_datadir}/specs

%{__cp} -r *					%{buildroot}/

cd apbuild
make
cd ..
cd binreloc
make
cd ..


%install
%{__rm} -rf $RPM_BUILD_ROOT

cd apbuild
make prefix=$RPM_BUILD_ROOT%{_prefix} \
     BINDIR=$RPM_BUILD_ROOT%{_bindir} \
     INCLUDEDIR=$RPM_BUILD_ROOT%{_includedir} \
     install
cd ..

%{__mkdir_p} $RPM_BUILD_ROOT/%{_apkgprefix}/autopackage

%{__cp} -r *					$RPM_BUILD_ROOT/%{_apkgprefix}/autopackage

# Generate file list from build root tree
find $RPM_BUILD_ROOT -type f \( -name \* \) -print \
    | %{__sed} "s#^$RPM_BUILD_ROOT/*#/#" > filelisting


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files -f filelisting
%{_apkgprefix}/autopackage/main/libexec/libcurl.so.2
%{_apkgprefix}/autopackage/main/libexec/libuau.so.3


%changelog
* Sat Nov 13 2004  Curtis L. Knight <knighcl@fastmail.fm>  0.7-1
- Initial rpm package release to coincide with 0.7 release.
